Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 584204 - <dev-lang/php-{5.5.36,5.6.22,7.0.7}: Multiple vulnerabilities
Summary: <dev-lang/php-{5.5.36,5.6.22,7.0.7}: Multiple vulnerabilities
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa]
Keywords:
Depends on: 587246
Blocks:
  Show dependency tree
 
Reported: 2016-05-26 12:51 UTC by Tomáš Mózes
Modified: 2016-11-30 21:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Mózes 2016-05-26 12:51:17 UTC
http://php.net/ChangeLog-7.php#7.0.7

Both release tagged on github.
Comment 1 Tomáš Mózes 2016-05-26 13:04:26 UTC
I've tested 7.0.7rc1 and the final release, it builds and runs ok.
Comment 2 manwe 2016-05-31 20:14:55 UTC
I've just compiled all 3 with previous version ebuilds (cp to new file name). All seem to be working. Anyone can update?
Comment 3 Michael Orlitzky gentoo-dev 2016-06-04 03:27:57 UTC
Just pushed all three new versions:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1a3a1755c2eac7cf75a2995e6bd9e019a7f30dd
Comment 4 Agostino Sarubbo gentoo-dev 2016-06-22 10:36:20 UTC
Arches, please test and mark stable:
=dev-lang/php-5.5.36
=dev-lang/php-5.6.22
Target keywords : "alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"
Comment 5 Agostino Sarubbo gentoo-dev 2016-06-22 14:03:51 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2016-06-22 14:04:23 UTC
x86 stable
Comment 7 Tobias Klausmann (RETIRED) gentoo-dev 2016-06-30 09:06:48 UTC
Both stable on alpha.
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2016-07-02 09:04:59 UTC
Stable for HPPA.
Comment 9 Markus Meier gentoo-dev 2016-07-05 20:54:29 UTC
arm stable, all arches done.
Comment 10 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-05 21:46:28 UTC
Added to existing GLSA.  Not calling for cleanup due to dependency on higher version bug.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2016-11-30 21:48:42 UTC
This issue was resolved and addressed in
 GLSA 201611-22 at https://security.gentoo.org/glsa/201611-22
by GLSA coordinator Aaron Bauman (b-man).